From d17c6adb94da5fc5cbd33173fddcc43511c46f43 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ren=C3=A9=20Milk?= <rene.milk@wwu.de>
Date: Tue, 5 Dec 2017 15:04:03 +0100
Subject: [PATCH] [ci] debug script execution

---
 .travis.script.bash | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/.travis.script.bash b/.travis.script.bash
index 130529876..55250abb8 100755
--- a/.travis.script.bash
+++ b/.travis.script.bash
@@ -10,7 +10,7 @@
 #   Felix Schindler (2017)
 #   Rene Milk       (2016 - 2017)
 
-set -e
+set -ex
 
 WAIT="${SUPERDIR}/scripts/bash/travis_wait_new.bash 45"
 source ${SUPERDIR}/scripts/bash/retry_command.bash
@@ -22,6 +22,8 @@ ${SRC_DCTRL} ${BLD} --only=${MY_MODULE} make
 # -> builder will timeout -> manually run refresh_test_timings -> push results
 ${SRC_DCTRL} ${BLD} --only=${MY_MODULE} bexec ninja -v -j 1 refresh_test_timings
 
+free -h
+
 if [ x"${TESTS}" == x ] ; then
     ${WAIT} ${SRC_DCTRL} ${BLD} --only=${MY_MODULE} bexec ninja -v test_binaries
     ${WAIT} ${SRC_DCTRL} ${BLD} --only=${MY_MODULE} bexec ctest -V -j 2
-- 
GitLab